Package weka.core.logging

# Class OutputLogger.OutputPrintStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
java.io.PrintStream
weka.core.logging.OutputLogger.OutputPrintStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

Enclosing class:
  `OutputLogger`

public static class OutputLogger.OutputPrintStream extends PrintStream
A print stream class to capture all data from stdout and stderr.

Version:
  $Revision: 4716 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)

## Constructor Summary

Constructors
Constructor
Description
`OutputPrintStream(OutputLogger owner, PrintStream stream)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
ignored.
`void`
`print(boolean x)`
prints the given boolean to the streams.
`void`
`print(int x)`
prints the given int to the streams.
`void`
`print(Object x)`
prints the given object to the streams.
`void`
`print(String x)`
prints the given string to the streams.
`void`
`println()`
prints a new line to the streams.
`void`
`println(boolean x)`
prints the given boolean to the streams.
`void`
`println(int x)`
prints the given int to the streams.
`void`
`println(Object x)`
prints the given object to the streams (for Throwables we print the stack trace).
`void`
`println(String x)`
prints the given string to the streams.

### Methods inherited from class java.io.PrintStream

`append, append, append, charset, checkError, close, format, format, print, print, print, print, print, printf, printf, println, println, println, println, println, write, write, write, writeBytes`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OutputPrintStream

public OutputPrintStream(OutputLogger owner, PrintStream stream) throws Exception
Default constructor.

Parameters:
  `owner` - the owning logger
  `stream` - the stream
Throws:
  `Exception` - if something goes wrong

## Method Details

### flush

public void flush()
ignored.

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `PrintStream`

### print

public void print(int x)
prints the given int to the streams.

Overrides:
  `print` in class `PrintStream`
Parameters:
  `x` - the object to print

### print

public void print(boolean x)
prints the given boolean to the streams.

Overrides:
  `print` in class `PrintStream`
Parameters:
  `x` - the object to print

### print

public void print(String x)
prints the given string to the streams.

Overrides:
  `print` in class `PrintStream`
Parameters:
  `x` - the object to print

### print

public void print(Object x)
prints the given object to the streams.

Overrides:
  `print` in class `PrintStream`
Parameters:
  `x` - the object to print

### println

public void println()
prints a new line to the streams.

Overrides:
  `println` in class `PrintStream`

### println

public void println(int x)
prints the given int to the streams.

Overrides:
  `println` in class `PrintStream`
Parameters:
  `x` - the object to print

### println

public void println(boolean x)
prints the given boolean to the streams.

Overrides:
  `println` in class `PrintStream`
Parameters:
  `x` - the object to print

### println

public void println(String x)
prints the given string to the streams.

Overrides:
  `println` in class `PrintStream`
Parameters:
  `x` - the object to print

### println

public void println(Object x)
prints the given object to the streams (for Throwables we print the stack trace).

Overrides:
  `println` in class `PrintStream`
Parameters:
  `x` - the object to print